#
# spec file for package consoleet-kbd-fonts
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           consoleet-kbd-fonts
Version:        1.3
Release:        1.4
Summary:        Vector/OTF versions of some classic kbd fonts
License:        CC-BY-SA-4.0
Group:          System/X11/Fonts
URL:            https://inai.de/projects/consoleet/
Source:         https://inai.de/files/consoleet/consoleet-kbd-%version.tar.zst
Source2:        https://inai.de/files/consoleet/consoleet-kbd-%version.tar.asc
Source9:        %name.keyring
BuildRequires:  fontpackages-devel
BuildRequires:  zstd
BuildArch:      noarch
%reconfigure_fonts_prereq

%description
These are OpenType remakes of (some of) the VGA bitmap fonts otherwise
found in the "kbd" package and in /usr/share/kbd/consolefonts/.

%prep
%setup -Tcq
tar --use=zstd --strip-components=1 -xf %SOURCE0

%build

%install
mkdir -pv "%buildroot/%_ttfontsdir"
cp -av *.otf "%buildroot/%_ttfontsdir/"

%reconfigure_fonts_scriptlets

%files
%_ttfontsdir/

%changelog
* Wed Aug  9 2023 Jan Engelhardt <jengelh@inai.de>
- Update to relase 1.3
  * Fonts are provided with 8x16 and 9x16 cell-sizes now.
    As a result, the names have changed.
* Fri Jun  2 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.2
  * consoleet_ami was separated again since no longer built
    from kbd
* Fri May 26 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.1
  * Add consoleet_ami and consoleet_lat1 (the latter
    with curious 'S' and '/' forms)
* Fri Oct  8 2021 Jan Engelhardt <jengelh@inai.de>
- Initial package for build.opensuse.org (version 1.0)
